SDL_HINT_MOUSE_AUTO_CAPTURE(3)

NAME
SDL_HINT_MOUSE_AUTO_CAPTURE - A variable controlling whether the mouse is captured while mouse buttons are pressed.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_MOUSE_AUTO_CAPTURE "SDL_MOUSE_AUTO_CAPTURE"

DESCRIPTION
The variable can be set to the following values:

• "0": The mouse is not captured while mouse buttons are pressed.

• "1": The mouse is captured while mouse buttons are pressed.

By default the mouse is captured while mouse buttons are pressed so if the mouse is dragged outside the window, the application continues to receive mouse events until the button is released.

This hint can be set anytime.

AVAILABILITY
This hint is available since SDL 3.2.0.